# List all Entries in a Settlement

Retrieve a list of every Settlement Entry in a Settlement. A Settlement Entry is an object that describes the item inside of a Settlement. 

A Settlement Entry can represent a Transfer, custom Fee, or Split Transfer.

Endpoint: GET /settlements/{settlement_id}/entries
Version: 2022-02-01
Security: BasicAuth

## Path parameters:

  - `settlement_id` (string, required)
    The ID of Settlement.

## Header parameters:

  - `Finix-Version` (string)
    Specify the API version of your request. For more details, see Versioning.
    Example: "2022-02-01"

## Query parameters:

  - `after_cursor` (string)
    Return every resource created after the cursor value.

  - `before_cursor` (string)
    Return every resource created before the cursor value.

  - `created_at.gte` (string)
    Filter where created_at is after the given date.
    Example: "2022-09-27T11:21:23"

  - `created_at.lte` (string)
    Filter where created_at is before the given date.
    Example: "2026-09-27T11:21:23"

  - `limit` (integer)
    The numbers of items to return.
    Example: 10

  - `updated_at.gte` (string)
    Filter where updated_at is after the given date.
    Example: "2022-09-27T11:21:23"

  - `updated_at.lte` (string)
    Filter where updated_at is before the given date.
    Example: "2026-09-27T11:21:23"

## Response 200 fields (application/json):

  - `page` (object)
    Details the page that's returned.

  - `page.limit` (integer)
    The number of entries to return.

  - `page.next_cursor` (string,null)
    The cursor to use for the next page of results.

  - `_embedded` (object)

  - `_embedded.settlement_entries` (array)

  - `_embedded.settlement_entries.id` (string)
    The ID of the resource.

  - `_embedded.settlement_entries.created_at` (string)
    Timestamp of when the object was created.

  - `_embedded.settlement_entries.updated_at` (string)
    Timestamp of when the object was last updated.

  - `_embedded.settlement_entries.amount` (integer)

  - `_embedded.settlement_entries.currency` (string)
    ISO 4217 3-letter currency code.
    Enum: "AED", "AFN", "ALL", "AMD", "ANG", "AOA", "ARS", "AUD", "AWG", "AZN", "BAM", "BBD", "BDT", "BGN", "BHD", "BIF", "BMD", "BND", "BOB", "BOV", "BRL", "BSD", "BTN", "BWP", "BYR", "BZD", "CAD", "CDF", "CHE", "CHF", "CHW", "CLF", "CLP", "CNY", "COP", "COU", "CRC", "CUC", "CUP", "CVE", "CZK", "DJF", "DKK", "DOP", "DZD", "EGP", "ERN", "ETB", "EUR", "FJD", "FKP", "GBP", "GEL", "GHS", "GIP", "GMD", "GNF", "GTQ", "GYD", "HKD", "HNL", "HRK", "HTG", "HUF", "IDR", "ILS", "INR", "IQD", "IRR", "ISK", "JMD", "JOD", "JPY", "KES", "KGS", "KHR", "KMF", "KPW", "KRW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LRD", "LSL", "LTL", "LYD", "MAD", "MDL", "MGA", "MKD", "MMK", "MNT", "MOP", "MRO", "MUR", "MVR", "MWK", "MXN", "MXV", "MYR", "MZN", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR", "PLN", "PYG", "QAR", "RON", "RSD", "RUB", "RWF", "SAR", "SBD", "SCR", "SDG", "SEK", "SGD", "SHP", "SLL", "SOS", "SRD", "SSP", "STD", "SVC", "SYP", "SZL", "THB", "TJS", "TMT", "TND", "TOP", "TRY", "TTD", "TWD", "TZS", "UAH", "UGX", "USD", "USN", "UYI", "UYU", "UZS", "VEF", "VND", "VUV", "WST", "XAF", "XAG", "XAU", "XBA", "XBB", "XBC", "XBD", "XCD", "XDR", "XOF", "XPD", "XPF", "XPT", "XSU", "XTS", "XUA", "XXX", "YER", "ZAR", "ZMW", "ZWL"

  - `_embedded.settlement_entries.entity_id` (string)
    The ID of the related Transfer.

  - `_embedded.settlement_entries.entity_details` (object)
    An object containing additional details about the entity.

  - `_embedded.settlement_entries.entity_details.fee_category` (string,null)
    The category of the fee.
    Enum: "PROCESSOR", "INTERCHANGE", "DUES_AND_ASSESSMENTS", "THIRD_PARTY_SERVICE_PROVIDER"

  - `_embedded.settlement_entries.entity_type` (string)
    The type of the related entity.
    Enum: "TRANSFER", "CUSTOM_FEE", "SPLIT_TRANSFER", "FEE"

  - `_embedded.settlement_entries.parent_entity_id` (string)
    The ID of the original parent resource where the transaction occurred. This is only populated when sub_type is FEE.

  - `_embedded.settlement_entries.parent_entity_type` (string)
    The type of the original parent resource where the transaction occurred. This is only populated when sub_type is FEE.
    Enum: "TRANSFER"

  - `_embedded.settlement_entries.subtype` (string)
    The subtype of the Settlement Entry.
- DISPUTE_MERCHANT_DEBIT: A Settlement Entry for a [Split Transfer](/api/split-transfers) created when a [Dispute](/api/disputes) pulls funds from a merchant proportionally. Only applies when entity_type is SPLIT_TRANSFER.
- DISPUTE_MERCHANT_CREDIT: A Settlement Entry for a Split Transfer created when a Dispute is ruled in favor of the [Merchant](/api/merchants) and funds are returned proportionally. Only applies when entity_type is SPLIT_TRANSFER.
    Enum: "DEBIT", "CREDIT", "FEE", "REVERSAL", "ADJUSTMENT", "DISPUTE", "DISPUTE_MERCHANT_DEBIT", "DISPUTE_MERCHANT_CREDIT", "CUSTOM"

  - `_embedded.settlement_entries.ready_to_settle_at` (string,null)
    The timestamp of when the Settlement Entry is ready to be settled.

  - `_embedded.settlement_entries.should_fund` (boolean)
    Indicates whether funds should be moved for this Settlement Entry.
    Example: true

  - `_links` (object)

  - `_links.self` (object)
    Link to the resource that was used in the request.

  - `_links.self.href` (string)

  - `_links.next` (object)
    Link to the next page of entries.

  - `_links.next.href` (string)

## Response 401 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 403 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 404 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 406 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.


